# Uses of Interface
org.eclipse.mat.query.annotations.descriptors.IArgumentDescriptor

Packages that use IArgumentDescriptor
Package
Description
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of IArgumentDescriptor in org.eclipse.mat.query.registry

Classes in org.eclipse.mat.query.registry that implement IArgumentDescriptor
Modifier and Type
Class
Description
`class`
`ArgumentDescriptor`
Provides details about an argument to be injected into a query or heap dump provider.

## Uses of IArgumentDescriptor in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return types with arguments of type IArgumentDescriptor
Modifier and Type
Method
Description
`List<? extends IArgumentDescriptor>`
SnapshotQuery.`getArguments()`
Get the list of the query arguments.